# Serialized Form

## Package org.apache.felix.configurator.impl.model

### Class org.apache.felix.configurator.impl.model.AbstractState extends Object implements Serializable

serialVersionUID:
  1L

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Deserialize the object - read version id - deserialize fields

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Serialize the object - write version id - serialize fields

Throws:
  `IOException`

### Serialized Fields

#### configurationsByPid

    Map<String,​ConfigList> configurationsByPid

### Class org.apache.felix.configurator.impl.model.BundleState extends AbstractState implements Serializable

serialVersionUID:
  1L

### Class org.apache.felix.configurator.impl.model.Config extends Object implements Serializable

serialVersionUID:
  1L

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Deserialize the object - read version id - deserialize fields

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Serialize the object - write version id - serialize fields

Throws:
  `IOException`

### Serialized Fields

#### bundleId

    long bundleId

The bundle id.

#### files

    List<File> files

#### index

    int index

The index within the list of configurations if several.

#### pid

    String pid

The configuration pid

#### policy

    ConfigPolicy policy

The configuration policy.

#### properties

    Dictionary<String,​Object> properties

The configuration properties.

#### ranking

    int ranking

The configuration ranking

#### state

    ConfigState state

The configuration state.

### Class org.apache.felix.configurator.impl.model.ConfigList extends Object implements Serializable

serialVersionUID:
  1L

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Deserialize the object - read version id - deserialize fields

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Serialize the object - write version id - serialize fields

Throws:
  `IOException`

### Serialized Fields

#### changeCount

    long changeCount

The change count.

#### configurations

    List<Config> configurations

#### hasChanges

    boolean hasChanges

Flag to indicate whether this list needs to be processed.

#### lastInstalled

    Config lastInstalled

Last installed configuration.

### Class org.apache.felix.configurator.impl.model.State extends AbstractState implements Serializable

serialVersionUID:
  1L

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Deserialize the object - read version id - deserialize fields

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Serialize the object - write version id - serialize fields

Throws:
  `IOException`

### Serialized Fields

#### bundlesConfigAdminBundleId

    Map<Long,​Long> bundlesConfigAdminBundleId

#### bundlesLastModified

    Map<Long,​Long> bundlesLastModified

#### initialHashes

    Set<String> initialHashes